Draft WireToBSpline/jp

From FreeCAD Documentation
Jump to: navigation, search

Draft WireToBSpline.svg {{{Name/jp}}}

メニュー位置
Drafting -> Wire to BSpline
ワークベンチ
製図, 建築
デフォルトのショートカット
None
参照
None


説明

このツールはワイヤーB-スプラインを相互に変換します。

Draft Wire2BSpline example.jpg

使用方法

  1. ワイヤーまたはB-スプラインを選択します
  2. Draft WireToBSpline.png Draft WireToBSplineボタンを押します

オプション

  • 操作後も元のオブジェクトは削除されません、必要な場合は手動で削除する必要があります。

スクリプト処理

利用できませんが、元のオブジェクトの点から新しいオブジェクトを作成するのは簡単です。 例:

# アクティブなオブジェクトがワイヤーの場合
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
# アクティブなオブジェクトがB-スプラインの場合
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg